Bug 19929 - Add Koha Objects for class_source and class_sort_rules
Summary: Add Koha Objects for class_source and class_sort_rules
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19915
  Show dependency treegraph
 
Reported: 2018-01-09 11:44 UTC by Nick Clemens
Modified: 2018-03-26 12:07 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19929 - Add Koha objects for class sources and sorters (10.85 KB, patch)
2018-01-09 11:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19929 - Add Koha objects for class sources and sorters (8.13 KB, patch)
2018-03-15 13:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19929 - Add Koha objects for class sources and sorters (10.40 KB, patch)
2018-03-15 13:17 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19929 - Add Koha objects for class sources and sorters (10.45 KB, patch)
2018-03-15 13:58 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19929 - Add Koha objects for class sources and sorters (10.55 KB, patch)
2018-03-15 14:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19929: (QA follow-up) Fix POD (1.83 KB, patch)
2018-03-15 14:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-01-09 11:44:55 UTC

    
Comment 1 Nick Clemens 2018-01-09 11:46:55 UTC
Created attachment 70337 [details] [review]
Bug 19929 - Add Koha objects for class sources and sorters

prove -v t/db_dependent/Koha/ClassificationSorters.t
prove -v t/db_dependent/Koha/ClassificationSources.t
Comment 2 M. Tompsett 2018-03-07 17:18:49 UTC
The full word "Classification" makes the file name to DB file in the head without reading and without consulting schema harder. ClassSortRule and ClassSortRules would be nicer than ClassificationSort and ClassificationSorters, I think.
Comment 3 M. Tompsett 2018-03-07 18:27:07 UTC
Comment on attachment 70337 [details] [review]
Bug 19929 - Add Koha objects for class sources and sorters

Review of attachment 70337 [details] [review]:
-----------------------------------------------------------------

::: Koha/ClassificationSorters.pm
@@ +20,5 @@
> +use Carp;
> +
> +use Koha::Database;
> +
> +use Koha::ClassificationSorters;

It uses itself? Don't think this is correct.
Comment 4 Nick Clemens 2018-03-15 13:16:23 UTC
Created attachment 72948 [details] [review]
Bug 19929 - Add Koha objects for class sources and sorters

prove -v t/db_dependent/Koha/ClassSortRules.t
prove -v t/db_dependent/Koha/ClassSources.t
Comment 5 Nick Clemens 2018-03-15 13:17:21 UTC
Created attachment 72949 [details] [review]
Bug 19929 - Add Koha objects for class sources and sorters

prove -v t/db_dependent/Koha/ClassSortRules.t
prove -v t/db_dependent/Koha/ClassSources.t
Comment 6 M. Tompsett 2018-03-15 13:58:35 UTC
Created attachment 72959 [details] [review]
Bug 19929 - Add Koha objects for class sources and sorters

prove -v t/db_dependent/Koha/ClassSortRules.t
prove -v t/db_dependent/Koha/ClassSources.t

NOTE: No POD was added, but I don't believe it is mandatory.
      PERL13 says it is only encouraged, not required.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 7 Marcel de Rooy 2018-03-15 14:27:40 UTC
QA: Working here
Comment 8 Marcel de Rooy 2018-03-15 14:39:06 UTC
Created attachment 72965 [details] [review]
Bug 19929 - Add Koha objects for class sources and sorters

prove -v t/db_dependent/Koha/ClassSortRules.t
prove -v t/db_dependent/Koha/ClassSources.t

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Marcel de Rooy 2018-03-15 14:39:11 UTC
Created attachment 72966 [details] [review]
Bug 19929: (QA follow-up) Fix POD

Make qa tools happy.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Jonathan Druart 2018-03-23 15:36:16 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 11 Nick Clemens 2018-03-26 12:07:51 UTC
Enhancement, not backported for 17.11